/* Inicio del codigo de topnavigation y configuracion general */
*
{

    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;

}

body
{

    background-color: white;

}

html
{

    scroll-behavior: smooth;

}

button
{
 
    padding: 15px 20px;
    font-size: 0.8em;
    border: 1px solid white;
    color: white;
    border-radius: 5px;
    background-color: transparent;
    font-weight: bold;

}

button:hover
{

    background-color: rgb(206, 206, 206);
    color: black;

}

a
{

text-decoration: none;
color: black;

}

a:hover
{

    color: #283618;

}

body
{

margin: 0;
background-color: rgb(225,225,225);

}

.container
{

    margin: 0; 
    padding: 0;
    max-width: 1440px;
    font-family: sans-serif;

}

.topnav
{

    margin: 0;
    padding: 0;
    background-color: white;
    align-items: center;
    justify-content: center;

}
.topnav .container
{
    display: flex;
    flex-direction: column;
    padding: 80px;
    align-items: center;
    justify-content: center;
    height: 100%;

}

#brand
{

    text-align: center;
    font-size: 2.4em;
    width: 50%;
    display: flex;
    padding: 0;
    margin: 0;
    align-items: center;
    justify-content: center;


}

.botonesact{

    text-align: center;


}
.logo
{

    margin: 0;

}

#action
{

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 0;
    width: 100%;
    padding: 0;
}

#action a
{

    margin: 12px 0;
    font-size: 1.4em;
}

input
{

    padding: 10px 3px;
    border: none;
    background-color: transparent;
    border-bottom: 1px solid white;
    color: white;
    margin: 0px 0 25px 0;
    outline: none;

}

#sumit
{

    border: 1px solid white;
    color: white;
    
    padding: 10px 20px;
    
    
}

#sumit:hover
{

    cursor:pointer;
    background-color: rgb(206, 206, 206);
    color: black;


}

textarea
{

    background-color: transparent;
    color: white;
    margin: 0px 0 25px 0;
    outline: none;

}

label
{
    
    padding: 5px 0;
    font-size: 1.3em;
}

input::placeholder
{

    font-size: 1.3em;
    

}



/* Fin del codigo de topnavigation y configuracion general */

/* cuerpo */

#contacta
{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 20px 0;
    padding-bottom: 25px;
    background: rgba(47,47,47,0.98);
    text-align: center;
}


#contacta .container
{

    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    align-items: center;
    text-align: center;

}

.formu
    {
        display: flex;
        color: white;
        background-color: rgb(69, 69, 69);
        align-items: center;
        justify-content: center;
        padding: 20px 10px;
        text-align: center;
        width: 100%;

    }


#contacta .forname
{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    
}

#contacta .fornamefirst
{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    
}

#contacta .foremail
{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    
}

.conjunto .fornumero
{
    display: flex;
    height: 100%;
    width: 100%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    
}

#contacta .formensaje
{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

#contacta .info
{

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 50px;
    color: white;
    text-align: center;

}
.info .phone
{

    display: flex;
    max-height: 292px;
    flex-direction: column;
    margin: 0;
    padding: 0;

}

.info .phone h2
{

    margin: 0;

}

.info .mail
{

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

}

.mail p a
{

    color: white;

}

.mail h2
{

    margin: 0;

}

.mail a:hover
{

    color: rgb(42, 107, 61);

}

.info .phone p
{


}

#foot
{

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;

}

#foot .container{

    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: left;
    text-align: left;
}
#foot a, #foot p
    {

        display: flex;
        align-items: center;
        gap: 2px;

    }
.redes
{

    display: flex;
    flex-direction: column;

}


.redes a
{

    margin: 10px 0;
    padding: 0 5px;

}

/* responsive */

@media (min-width:768px)
{

    #contacta
    {


        background: rgba(47,47,47,0.98);
        height: 100%;

    }

    #contacta .container
    {

        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: row;
        padding: 0;   
        
    }

    #contacta .info
    {
        align-items: center;
        justify-content: center;
        flex-direction: row;
        color: black;
        padding: 50px 100px;
        width: 100%;
        border-radius: 10px;
        box-shadow: rgba(0, 0, 0, 0.25) 0px 30px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
        gap: 50px;
    }

    #contacta .info .container
    {

        display: flex;
        flex-direction: row;
        width: 100%;
        justify-content: center;
        align-items: center;

    }

 

    .info .phone
    {
        width: 100%;
    padding: 100px 0;
    margin: 0;
    display: flex;
    font-size: 1.1em;
    background-color: white;
    border-radius: 15px;
    transition: all 0.5s;;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
    color: black;
    max-height: 292px;
    }

    .info .phone:hover
    {

        transform: scale3d(1.1, 1.1, 1); 

    }
    
    .info .mail{

    width: 100%;
    padding: 100px 0;
    margin: 0;
    display: flex;
    font-size: 1.1em;
    background-color: white;
    border-radius: 15px;
    transition: all 0.5s;;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
    color: black;
    max-height: 292px;

}

.info .mail:hover
{

    transform: scale3d(1.1, 1.1, 1); 

}

.mail p a

{

    color: black;

}

    .conjunto
    {

        display: flex;
        align-items: center;
        margin: 25px 0;

    }

    .formu
    {
        display: flex;
        align-items: center;
        color: white;
        padding: 0;
        justify-content: center;
        background-color: rgb(69, 69, 69);
        height: 100%;
        border-top-left-radius: 15px;
        border-bottom-left-radius: 15px;
        text-align: center;
        flex-direction: row;

    }
    #contacta .forname, #contacta .foremail, #contacta .fornamefirst, #contacta .fornumero
    {

        margin: 0 20px;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: left;
        text-align: left;
        

    }

   #mensa-text
   {

    padding: 0;

    margin: 0 0 15px;

   }

    .formu br
    {

        display: none;

    }


}

@media (min-width:992px) {
    
    .topnav
    {

        position: fixed;
        background-color: rgb(69, 69, 69); 
        color: white;
        padding: 20px 0;
        width: 100%;

    }


    

    .info h2
    {

        margin: 0;

    }

    .info .phone
    {

        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding: 100px 0;
        height: 100%;
    }

    .topnav a
    {

        color: white;

    }

    .topnav a:hover
    {

        color: #606c38;

    }
    

    .topnav .container
    {
        display: flex;
        flex-direction: row;
        padding: 0;
        text-align: center;
        justify-content:left;
        width: 100%;

    }
    #action
    {
    
        flex-direction: row;
        justify-content: left;
    }
    #action a{

    margin: 0 10px;
    }

    #brand
    {

        justify-content: center;
        font-size: 1.7em;
        width: auto;
        padding: 0 15px;

    }

    .botonesact{

    
    justify-content: left;

    }

    #contacta
    {

        padding: 100px 0; 
        height: 88vh;

    }

    #foot
    {

        align-items: center;
        justify-content: flex-start;

    }


    #foot .container
    {
        width: 100%;
        flex-direction: row;
        justify-content:flex-start;
        padding: 0 50px;
    }

    #foot .telefonos
    {

        display: flex;
        flex-direction: column;
        
    }

    #foot .data
    {

        display: flex;
        flex-direction: row;
        gap: 50px;

    }

    #foot .telefonos h2
    {

       padding: 5px 0;
       margin: 5px 0;

    }

    #foot a, #foot p
    {

        display: flex;
        align-items: center;
        gap: 1px;
        justify-content: center;

    }


}